Subject: Re: bug#13207: lisp-mnt.el improvements

From: Stefan Monnier <[email-masked]>
Date: Mon, 17 Dec 2012 20:29:22 -0500

> Okay.  On second though: it wouldn't be very useful to use the match
> data set by these functions.  Why not save the match-data here once so
> that no caller has to ever worry about it?  Is there a general policy
> that this kinda thing shouldn't be done?

Yes, the general policy is: all functions should be presumed to trash
the match-data, except for a very few exceptions.

> The 3500 packages from which I extracted metadata include all built-in
> and fsf-elpa packages (though I did not process every library, just the
> "main library" of each package).  The three packages affected in a
> negative way didn't do things right, and they aren't fsf packages.

OK, thanks for checking.  It sounds good then.  Can you send a "final" patch?

        Stefan